<?php
# Generated by the protocol buffer compiler.  DO NOT EDIT!
# source: google/ads/googleads/v18/services/content_creator_insights_service.proto

namespace Google\Ads\GoogleAds\V18\Services;

use Google\Protobuf\Internal\GPBType;
use Google\Protobuf\Internal\RepeatedField;
use Google\Protobuf\Internal\GPBUtil;

/**
 * YouTube Channel insights, and its metadata (such as channel name and channel
 * ID), returned for a creator insights response.
 *
 * Generated from protobuf message <code>google.ads.googleads.v18.services.YouTubeChannelInsights</code>
 */
class YouTubeChannelInsights extends \Google\Protobuf\Internal\Message
{
    /**
     * The name of the YouTube Channel.
     *
     * Generated from protobuf field <code>string display_name = 1;</code>
     */
    protected $display_name = '';
    /**
     * The YouTube Channel ID.
     *
     * Generated from protobuf field <code>.google.ads.googleads.v18.common.YouTubeChannelInfo youtube_channel = 2;</code>
     */
    protected $youtube_channel = null;
    /**
     * The metrics for a YouTube Channel.
     *
     * Generated from protobuf field <code>.google.ads.googleads.v18.services.YouTubeMetrics channel_metrics = 3;</code>
     */
    protected $channel_metrics = null;
    /**
     * The types of audiences and demographics associated with a channel's main
     * audience. Audiences and demographics will have a breakdown of subscriber
     * share across dimensions of the same value.
     *
     * Generated from protobuf field <code>repeated .google.ads.googleads.v18.common.AudienceInsightsAttributeMetadata channel_audience_demographics = 4;</code>
     */
    private $channel_audience_demographics;
    /**
     * The attributes associated with the content made by a channel.
     *
     * Generated from protobuf field <code>repeated .google.ads.googleads.v18.common.AudienceInsightsAttributeMetadata channel_attributes = 5;</code>
     */
    private $channel_attributes;
    /**
     * Metadata string associated with the type of channel.
     *
     * Generated from protobuf field <code>string channel_type = 6;</code>
     */
    protected $channel_type = '';

    /**
     * Constructor.
     *
     * @param array $data {
     *     Optional. Data for populating the Message object.
     *
     *     @type string $display_name
     *           The name of the YouTube Channel.
     *     @type \Google\Ads\GoogleAds\V18\Common\YouTubeChannelInfo $youtube_channel
     *           The YouTube Channel ID.
     *     @type \Google\Ads\GoogleAds\V18\Services\YouTubeMetrics $channel_metrics
     *           The metrics for a YouTube Channel.
     *     @type array<\Google\Ads\GoogleAds\V18\Common\AudienceInsightsAttributeMetadata>|\Google\Protobuf\Internal\RepeatedField $channel_audience_demographics
     *           The types of audiences and demographics associated with a channel's main
     *           audience. Audiences and demographics will have a breakdown of subscriber
     *           share across dimensions of the same value.
     *     @type array<\Google\Ads\GoogleAds\V18\Common\AudienceInsightsAttributeMetadata>|\Google\Protobuf\Internal\RepeatedField $channel_attributes
     *           The attributes associated with the content made by a channel.
     *     @type string $channel_type
     *           Metadata string associated with the type of channel.
     * }
     */
    public function __construct($data = NULL) {
        \GPBMetadata\Google\Ads\GoogleAds\V18\Services\ContentCreatorInsightsService::initOnce();
        parent::__construct($data);
    }

    /**
     * The name of the YouTube Channel.
     *
     * Generated from protobuf field <code>string display_name = 1;</code>
     * @return string
     */
    public function getDisplayName()
    {
        return $this->display_name;
    }

    /**
     * The name of the YouTube Channel.
     *
     * Generated from protobuf field <code>string display_name = 1;</code>
     * @param string $var
     * @return $this
     */
    public function setDisplayName($var)
    {
        GPBUtil::checkString($var, True);
        $this->display_name = $var;

        return $this;
    }

    /**
     * The YouTube Channel ID.
     *
     * Generated from protobuf field <code>.google.ads.googleads.v18.common.YouTubeChannelInfo youtube_channel = 2;</code>
     * @return \Google\Ads\GoogleAds\V18\Common\YouTubeChannelInfo|null
     */
    public function getYoutubeChannel()
    {
        return $this->youtube_channel;
    }

    public function hasYoutubeChannel()
    {
        return isset($this->youtube_channel);
    }

    public function clearYoutubeChannel()
    {
        unset($this->youtube_channel);
    }

    /**
     * The YouTube Channel ID.
     *
     * Generated from protobuf field <code>.google.ads.googleads.v18.common.YouTubeChannelInfo youtube_channel = 2;</code>
     * @param \Google\Ads\GoogleAds\V18\Common\YouTubeChannelInfo $var
     * @return $this
     */
    public function setYoutubeChannel($var)
    {
        GPBUtil::checkMessage($var, \Google\Ads\GoogleAds\V18\Common\YouTubeChannelInfo::class);
        $this->youtube_channel = $var;

        return $this;
    }

    /**
     * The metrics for a YouTube Channel.
     *
     * Generated from protobuf field <code>.google.ads.googleads.v18.services.YouTubeMetrics channel_metrics = 3;</code>
     * @return \Google\Ads\GoogleAds\V18\Services\YouTubeMetrics|null
     */
    public function getChannelMetrics()
    {
        return $this->channel_metrics;
    }

    public function hasChannelMetrics()
    {
        return isset($this->channel_metrics);
    }

    public function clearChannelMetrics()
    {
        unset($this->channel_metrics);
    }

    /**
     * The metrics for a YouTube Channel.
     *
     * Generated from protobuf field <code>.google.ads.googleads.v18.services.YouTubeMetrics channel_metrics = 3;</code>
     * @param \Google\Ads\GoogleAds\V18\Services\YouTubeMetrics $var
     * @return $this
     */
    public function setChannelMetrics($var)
    {
        GPBUtil::checkMessage($var, \Google\Ads\GoogleAds\V18\Services\YouTubeMetrics::class);
        $this->channel_metrics = $var;

        return $this;
    }

    /**
     * The types of audiences and demographics associated with a channel's main
     * audience. Audiences and demographics will have a breakdown of subscriber
     * share across dimensions of the same value.
     *
     * Generated from protobuf field <code>repeated .google.ads.googleads.v18.common.AudienceInsightsAttributeMetadata channel_audience_demographics = 4;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getChannelAudienceDemographics()
    {
        return $this->channel_audience_demographics;
    }

    /**
     * The types of audiences and demographics associated with a channel's main
     * audience. Audiences and demographics will have a breakdown of subscriber
     * share across dimensions of the same value.
     *
     * Generated from protobuf field <code>repeated .google.ads.googleads.v18.common.AudienceInsightsAttributeMetadata channel_audience_demographics = 4;</code>
     * @param array<\Google\Ads\GoogleAds\V18\Common\AudienceInsightsAttributeMetadata>|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setChannelAudienceDemographics($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Google\Ads\GoogleAds\V18\Common\AudienceInsightsAttributeMetadata::class);
        $this->channel_audience_demographics = $arr;

        return $this;
    }

    /**
     * The attributes associated with the content made by a channel.
     *
     * Generated from protobuf field <code>repeated .google.ads.googleads.v18.common.AudienceInsightsAttributeMetadata channel_attributes = 5;</code>
     * @return \Google\Protobuf\Internal\RepeatedField
     */
    public function getChannelAttributes()
    {
        return $this->channel_attributes;
    }

    /**
     * The attributes associated with the content made by a channel.
     *
     * Generated from protobuf field <code>repeated .google.ads.googleads.v18.common.AudienceInsightsAttributeMetadata channel_attributes = 5;</code>
     * @param array<\Google\Ads\GoogleAds\V18\Common\AudienceInsightsAttributeMetadata>|\Google\Protobuf\Internal\RepeatedField $var
     * @return $this
     */
    public function setChannelAttributes($var)
    {
        $arr = GPBUtil::checkRepeatedField($var, \Google\Protobuf\Internal\GPBType::MESSAGE, \Google\Ads\GoogleAds\V18\Common\AudienceInsightsAttributeMetadata::class);
        $this->channel_attributes = $arr;

        return $this;
    }

    /**
     * Metadata string associated with the type of channel.
     *
     * Generated from protobuf field <code>string channel_type = 6;</code>
     * @return string
     */
    public function getChannelType()
    {
        return $this->channel_type;
    }

    /**
     * Metadata string associated with the type of channel.
     *
     * Generated from protobuf field <code>string channel_type = 6;</code>
     * @param string $var
     * @return $this
     */
    public function setChannelType($var)
    {
        GPBUtil::checkString($var, True);
        $this->channel_type = $var;

        return $this;
    }

}

