<?php
/**
 * Template part for displaying loop filter
 * filter::key[__value][name]
 * taxQuery::genre__heading[Genres]
 * taxQuery::genre__all[All]
 * taxQuery::genre__pop[Pop]
 * metaQuery::type__[All Types]
 * metaQuery::bpm__90-180[BPM]
 * order
 * orderby
 * search(todo)
 */


$filter_style = isset($attributes['filterStyle']) ? $attributes['filterStyle'] : 'dropdown';

?>
<div class="loop-filter loop-filter-<?php echo esc_attr($filter_style); ?>">
	<?php do_action( 'loop_block_filter_before', $filters, $attributes ); ?>
	<?php
	$keys = [];
	$menus = '';
	foreach ( $filters as $kk => $vv ){
		foreach ( $vv as $key => $value ){
			$items = [];
			$i = 0;
			$active = [];
			$default = '';
			$more = '';
			$heading = '';
			foreach ( $value as $k => $v ){
				$selected = false;
				$_key = '';
				if($i == 0){
					$default = $v['name'];
				}
				if(isset($v['active'])){
					$_key = $v;
					if(apply_filters('loop_block_filter_use_actives', true)){
						$active[] = $v['name'];
					}
					$selected = true;
				}
				// taxQuery::type__heading[Types]
				if(strtolower($k) === 'heading'){
					$heading = sprintf( '<div class="loop-filter-item-heading">%s</div>', esc_html($v['name']) );
					unset($value[$k]);
					continue;
				}

				$items[] = sprintf('<a href="%s" class="'.esc_attr($filter_style).'-item '.esc_attr($selected ? 'selected' : '').'">%s <span class="loop-filter-count">%s</span></a>', esc_url( $v['url'] ), esc_html( $v['name'] ), esc_html( (isset($v['count']) ? $v['count'] : '') ));

				// range
                if(preg_match( '/^\d+-\d+$/', $k ) && $kk === 'metaQuery'){
                	$m = explode('-', $k);
					$url = $v['url'];
					$mm = explode('-', $v['value']);
					if($mm[0] !== $m[0] || $mm[1] !== $m[1]){
						$uri = str_replace($key.'__'.$mm[0].'-'.$mm[1], '', $v['url']);
						$_key = array('name' => $v['name'].':'.$v['value'], 'url' => $uri);
					}
                    $items[] = sprintf( '<div class="multi-range"><input type="range" multiple value="%d,%d" min="%d" max="%d" data-url="%s" name="%s" data-plugin="range"></div>', esc_attr( $mm[0] ), esc_attr( $mm[1] ), esc_attr( $m[0] ), esc_attr( $m[1] ), esc_attr( $url ), esc_attr($key) );
                }
                if(!empty($_key)){
                	$_key['key'] = $kk;
                	$_key['term'] = $key;
                	$keys[] = $_key;
                }
				$i++;
			}

			// selected
			if(empty($active)){
				$active[] = $default;
				array_shift($items);
			}elseif(count($active) > 2){
				$active = array_slice($active, -2);
				$more = '...';
			}

			$dropdown = '';
			$class = 'loop-filter-item-'.implode('-', array_filter([$kk, $key]));
			// search
			if($kk === 'search'){
				$heading .= sprintf('<input type="search" placeholder="%s"/>', esc_attr($default));
			// else
			}else{
				if($filter_style == 'dropdown'){
					$heading .= sprintf('<a href="#" class="dropdown-toggle button" data-toggle="dropdown">%s</a>', esc_html ( implode(', ',$active).$more ));
				}
				$dropdown = sprintf('<div class="%s-menu">%s</div>', esc_attr($filter_style), implode('', $items));
			}
			$menus .= sprintf('<div class="loop-filter-item %s">%s %s</div>', $class, $heading, $dropdown);
		}
	}
	echo $menus;
	?>
	<?php do_action( 'loop_block_filter_after', $filters, $attributes, $keys ); ?>
</div>
