<?php
/**
 * Template Name: Loop hero
 *
 * Template part for displaying loop hero content.
 */

?>

<article data-id="post-<?php the_ID(); ?>" data-play-id="<?php the_ID(); ?>" <?php post_class('block-loop-item'); ?>>
	<?php do_action( 'before_loop_content', get_the_ID() ); ?>
	<!-- get the video tag -->
	
	<figure class="post-thumbnail" <?php do_action('the_post_thumbnail_attr', get_the_ID())?>>
		<?php do_action( 'before_loop_thumbnail', get_the_ID() ); ?>
		<a class="post-thumbnail-inner" href="<?php the_permalink(); ?>" aria-hidden="true" tabindex="-1">
			<?php the_post_thumbnail( isset($attributes['image']) ? $attributes['image'] : 'medium' ); ?>
		</a>
		<?php do_action( 'after_loop_thumbnail', get_the_ID() ); ?>
	</figure>
	<?php loop_item_video(get_the_ID()); ?>
	<header class="entry-header">
		<div class="entry-header-inner">
			<?php do_action( 'before_loop_header', get_the_ID() ); ?>
			<?php
				the_title( sprintf( '<h3 class="entry-title"><a href="%s" rel="bookmark">', esc_url( get_permalink() ) ), '</a></h3>' );
			?>
			<?php play_output_info(); ?>
		</div>
		<?php play_output_play_btn(); ?>
		<?php play_output_purchase_btn(); ?>
	</header>

	<?php do_action( 'after_loop_content', get_the_ID() ); ?>
</article>
