<?php
/**
 * Hooks
 */

// required plugins
add_filter('ffl_required_plugins', 'ffl_required_plugins');
function ffl_required_plugins($args){
	$args[] = array(
		'name'      => 'Simple WordPress Membership',
	    'slug'      => 'simple-membership',
	    'required'  => false
	);
	return $args;
}

function ffl_register_role(){
	add_role( 'premium', 'Premium', array( 'read' => true ) );
}
add_action( 'init', 'ffl_register_role' );

add_action( 'wp_enqueue_scripts', 'ffl_theme_scripts' );
if ( ! function_exists( 'ffl_theme_scripts' ) ) :
function ffl_theme_scripts() {
	wp_enqueue_style( 'ffl-custom-style', get_template_directory_uri().'/theme/theme.css', array(), wp_get_theme()->get( 'Version' ) );
	wp_enqueue_script( 'ffl-theme-script', get_template_directory_uri().'/theme/theme.js', array('jquery'), wp_get_theme()->get( 'Version' ), true );
}
endif;

add_action('ffl_after_user_link', 'ffl_follow_btn');
add_action('ffl_after_author_link', 'ffl_follow_btn');
if ( ! function_exists( 'ffl_follow_btn' ) ) :
function ffl_follow_btn($user_id){
	do_action('the_follow_button', $user_id);
}
endif;

add_filter( 'loop_block_template', 'ffl_loop_block_template' );
if ( ! function_exists( 'ffl_loop_block_template' ) ) :
function ffl_loop_block_template(){
	return 'templates/loop-waveform.php';
}
endif;

add_action('ffl_after_user_link', 'ffl_edit_profile_link');
if ( ! function_exists( 'ffl_edit_profile_link' ) ) :
function ffl_edit_profile_link($user_id){
	do_action('the_edit_profile_button', $user_id);
}
endif;

add_action('ffl_after_user_description', 'ffl_follow_button');
if ( ! function_exists( 'ffl_follow_button' ) ) :
function ffl_follow_button($user_id){
	do_action('the_user_social_links', $user_id);
}
endif;

add_action('ffl_after_user_description', 'ffl_follow_links');
if ( ! function_exists( 'ffl_follow_links' ) ) :
function ffl_follow_links($user_id){
	do_action('the_user_links', $user_id);
}
endif;

if ( ! function_exists( 'ffl_release_date' ) ) :
function ffl_release_date(){
	echo sprintf('<p class="station-release">%s</p>', ffl_posted_on(false));
}
endif;

add_filter( 'play_album_tracks', 'ffl_play_album_tracks' );
if ( ! function_exists( 'ffl_play_album_tracks' ) ) :
function ffl_play_album_tracks($arg){
	$arg['className'] = 'block-loop-row block-loop-index album-tracks';
	$arg['template'] = 'templates/loop-tracks.php';
	$arg['title'] = '';
	return $arg;
}
endif;

add_filter( 'play_user_pages', 'ffl_play_user_pages' );
if ( ! function_exists( 'ffl_play_user_pages' ) ) :
function ffl_play_user_pages(){
	return 10;
}
endif;

add_filter( 'play_archive_pages', 'ffl_play_archive_pages' );
if ( ! function_exists( 'ffl_play_archive_pages' ) ) :
function ffl_play_archive_pages(){
	return 20;
}
endif;

add_filter( 'player_theme', 'ffl_player_theme' );
if ( ! function_exists( 'ffl_player_theme' ) ) :
function ffl_player_theme(){
	return '3';
}
endif;

function ffl_the_post_thumbnail_attr($post_id){
	if(!is_singular('station')){
		return;
	}
	$thumbnail_id = get_post_thumbnail_id( $post_id );
    if( !empty( $thumbnail_id ) ){
        $img = wp_get_attachment_image_url( $thumbnail_id, 'thumbnail' );
        echo sprintf('style="background-image: url(%s);"', esc_url( $img ));
    }
}
add_action('the_post_thumbnail_attr', 'ffl_the_post_thumbnail_attr');

add_filter('play_user_desc_moreless', '__return_true');
add_filter('play_content_moreless', '__return_true');
add_filter('play_output_info_author', '__return_true');

remove_action( 'play_single_meta', 'play_output_author', 70);
remove_action( 'play_before_single_title', 'play_output_artist', 10 );
remove_action( 'play_after_single_title', 'play_output_meta', 100);
remove_action( 'after_loop_header', 'play_output_purchase_btn', 50);
remove_action( 'play_after_content', 'play_output_tracks');
remove_action( 'play_after_content', 'play_output_more', 20);
remove_action( 'play_after_content', 'play_output_similar', 30);
remove_action( 'play_after_content', 'play_output_featured', 30);
remove_action( 'play_after_single_title', 'play_output_term', 200);
remove_action( 'play_single_header_end', 'play_output_editor_note', 30);
remove_action( 'play_single_header_end', 'play_output_copyright', 40);
remove_action( 'play_content', 'play_output_content', 10 );

add_action( 'play_single_content_start', 'play_output_more', 40);
add_action( 'play_single_content_start', 'play_output_similar', 50);
add_action( 'play_single_content_start', 'play_output_featured', 60);

add_action( 'play_before_single_title', 'play_output_tag', 10);
add_action( 'play_after_single_title',  'play_output_artist', 50);
add_action( 'play_after_single_title',  'play_output_info', 60);
add_action( 'play_after_single_title',  'play_output_content', 80);
add_action( 'play_after_single_header', 'play_output_waveform', 40);
add_action( 'play_after_single_header', 'play_output_meta', 50);
add_action( 'play_single_content_start', 'play_output_editor_note', 20);
add_action( 'play_single_content_start', 'play_output_copyright', 30);
add_action( 'play_single_content_start', 'play_output_tracks', 10);
